// {} Librerías e importaciones

// ! Tabla
import Tabla from "../../../elementos/tabla.js";

// {}
(async () => {

  let campo = {
    id_cuenta: window.aplicacion.campo.selector[formulario_cuentas.id_cuenta.id],
    id_tipo_documento: window.aplicacion.campo.selector[formulario_cuentas.id_tipo_documento.id],
  };

	// !
	$(campo.id_cuenta.selector.elemento).change(function(evento) {

    formulario_cuentas.id_tipo_documento.innerHTML = '';
    formulario_cuentas.id_tipo_documento.disabled = true;

    if (!this.value)
      return
    ;

		campo.id_tipo_documento.peticion('opciones')

	});

	// !
	$(document).on('ajaxSuccess', async (evento, peticion, configuracion) => {

		configuracion.parametros = new URLSearchParams(configuracion.url);

    if (!peticion.responseJSON)
      return
    ;

    id_cliente.value &&
    configuracion.parametros.get('procedimiento') === 'p_traer_unico_registro' &&
    campo.id_cuenta.peticion('opciones')

	})

})()